# eric3.Graphics.ZoomDialog

Module implementing a zoom dialog for a graphics canvas.

### Classes

DoubleSpinBox | Class implementing a spinbox for double values.
ZoomDialog | Class implementing a zoom dialog for a graphics canvas.

### Functions

None

## DoubleSpinBox

Class implementing a spinbox for double values.

### Derived from

QSpinBox

### Methods

DoubleSpinBox | Constructor
mapTextToValue | Protected method to convert displaid text to a value.
mapValueToText | Protected method to convert a value to displayable text.
setDecimals | Method to set the number of decimals.
setMaxValue | Method to set the maximum allowed values.
setMinValue | Method to set the minimum allowed values.
setValue | Method to set the value.
value | Method to retrieve the current value.

### DoubleSpinBox (Constructor)

DoubleSpinBox(parent = None, name = None)

Constructor

parent
  parent widget (QWidget)
name
  name of this widget (QString or string)

### DoubleSpinBox.mapTextToValue

mapTextToValue()

Protected method to convert displaid text to a value.

Returns:
  converted value (integer)

### DoubleSpinBox.mapValueToText

mapValueToText(value)

Protected method to convert a value to displayable text.

value
  value to be shown (integer)

Returns:
  displayable text (string)

### DoubleSpinBox.setDecimals

setDecimals(decimals)

Method to set the number of decimals.

decimals
  number of decimals to be shown

### DoubleSpinBox.setMaxValue

setMaxValue(value)

Method to set the maximum allowed values.

value
  maximum value (float)

### DoubleSpinBox.setMinValue

setMinValue(value)

Method to set the minimum allowed values.

value
  minimum value (float)

### DoubleSpinBox.setValue

setValue(value)

Method to set the value.

value
  value to be set (integer or float)

### DoubleSpinBox.value

value()

Method to retrieve the current value.

Returns:
  current value (float)

Up

## ZoomDialog

Class implementing a zoom dialog for a graphics canvas.

### Derived from

QDialog

### Methods

ZoomDialog | Constructor
getZoomSize | Public method to retrieve the zoom size.
languageChange | Private method to show translated display strings.

### ZoomDialog (Constructor)

ZoomDialog(zoom, parent = None, name = None, modal = 0, fl = 0)

Constructor

zoom
  zoom factor to show in the spinbox (float)
parent
  parent widget of this dialog (QWidget)
name
  name of this dialog (string or QString)
modal
  flag indicating a modal dialog
fl
  window flags

### ZoomDialog.getZoomSize

getZoomSize()

Public method to retrieve the zoom size.

Returns:
  zoom size (double)

### ZoomDialog.languageChange

languageChange()

Private method to show translated display strings.

Up